List all teams
GET
https://api.vercel.com/v2/teamsGet a paginated list of all the Teams the authenticated User is a member of.
https://api.vercel.com/v2/teams
const response = await fetch('https://api.vercel.com/v2/teams?limit=123&since=123&until=123', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "pagination": { "count": "20", "next": "1540095775951", "prev": "1540095775951" }, "teams": [ { "apiKeysInvalidatedAt": "123", "appTokensInvalidatedAt": "123", "avatar": "6eb07268bcfadd309905ffb1579354084c24655c", "billing": { "plan": "enterprise" }, "connect": { "enabled": "false" }, "createdAt": "1630748523395", "creatorId": "R6efeCJQ2HKXywuasPDc0fOWB", "defaultContinuousUsageKind": "metered", "defaultDeploymentProtection": { "passwordProtection": { "deploymentType": "string" }, "ssoProtection": { "deploymentType": "string" } }, "defaultExpirationSettings": { "deploymentsToKeep": "123", "expirationDays": "123", "expirationDaysCanceled": "123", "expirationDaysErrored": "123", "expirationDaysProduction": "123" }, "defaultPassport": { "connectorId": "example_id", "deploymentType": "all" }, "defaultProjectJobs": { "flag-definitions-present": { "targets": [] }, "lint": { "targets": [] }, "mfe-config-present": { "targets": [] }, "typecheck": { "targets": [] } }, "defaultRoles": { "teamPermissions": [], "teamRoles": [] }, "deploymentPolicy": { "deploymentSources": [ { "enabled": "false", "environments": [ { "target": "preview", "type": "system" } ], "sources": [] } ], "gitSources": [ { "enabled": "false", "environments": [ { "target": "preview", "type": "system" } ], "sources": [ { "org": "string", "provider": "bitbucket", "repo": "string" } ] } ] }, "deploymentStorageRollout": { "cohort": "already_metered", "meteredAt": "123", "meterReason": "low_scheduled", "retentionAppliedAt": "123", "retentionOptOutAt": "123" }, "description": "Our mission is to make cloud computing accessible to everyone.", "disableHardAutoBlocks": "123", "disableRepositoryDispatchEvents": "false", "disjunctiveProductionSecretPolicy": "default", "dpAccessRequestsMode": "all", "emailDomain": "example.com", "enablePreviewFeedback": "default", "enableProductionFeedback": "default", "hideIpAddresses": "false", "hideIpAddressesInLogDrains": "false", "id": "team_nllPyCtREAqxxdyFKbbMDlxd", "integrationTokensInvalidatedAt": "123", "inviteCode": "hasihf9e89", "ipBuckets": [ { "bucket": "string", "default": "false", "supportUntil": "123" } ], "limited": "false", "membership": { "accessRequestedAt": "123", "confirmed": "true", "created": "123", "createdAt": "123", "entitlements": [ { "entitlement": "string" } ], "joinedFrom": { "commitId": "example_id", "dsyncConnectedAt": "123", "dsyncUserId": "example_id", "gitUserId": "example_id", "gitUserLogin": "string", "idpUserId": "example_id", "origin": "account-update", "repoId": "example_id", "repoPath": "string", "ssoConnectedAt": "123", "ssoUserId": "example_id" }, "organizationId": "example_id", "role": "BILLING", "teamId": "example_id", "teamPermissions": [], "teamRoles": [], "uid": "example_id" }, "name": "My Team", "nsnbConfig": { "preference": "auto-approval" }, "orgRootTeamId": "team_nllPyCtREAqxxdyFKbbMDlxd", "parentId": "org_nllPyCtREAqxxdyFKbbMDlxd", "personalAccessTokensInvalidatedAt": "123", "platform": "true", "previewDeploymentSuffix": "example.dev", "remoteCaching": { "enabled": "false" }, "requireVerifiedCommits": "false", "resourceConfig": { "blobStores": "123", "buildEntitlements": { "enhancedBuilds": "false" }, "buildMachine": { "default": "basic" }, "concurrentBuilds": "123", "customEnvironmentsPerProject": "123", "edgeConfigs": "123", "edgeConfigSize": "123", "elasticConcurrencyEnabled": "false", "kvDatabases": "123", "postgresDatabases": "123", "serverlessFunctionMaxMemorySize": "123" }, "saml": { "connection": { "connectedAt": "1611796915677", "lastReceivedWebhookEvent": "1611796915677", "lastSyncedAt": "1611796915677", "state": "active", "syncState": "ACTIVE", "type": "OktaSAML", "status": "string" }, "defaultRedirectUri": "v0.app", "directory": { "connectedAt": "1611796915677", "lastReceivedWebhookEvent": "1611796915677", "lastSyncedAt": "1611796915677", "state": "active", "syncState": "ACTIVE", "type": "OktaSAML" }, "enforced": "false", "roles": "value" }, "sensitiveEnvironmentVariablePolicy": "default", "slug": "my-team", "stagingPrefix": "string", "strictConnectors": { "enabled": "false", "updatedAt": "123" }, "strictDeploymentProtectionSettings": { "enabled": "false", "updatedAt": "123" }, "strictPasswordProtectionSettings": { "enabled": "false", "updatedAt": "123" }, "strictShareableLinks": { "enabled": "false", "updatedAt": "123" }, "updatedAt": "1611796915677" } ]}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
403You do not have permission to access this resource.
410Error
500Error